Package com.google.android.exoplayer2.ext.mediasession

## Interface MediaSessionConnector.MediaButtonEventHandler

- Enclosing class:
    MediaSessionConnector

      public static interface MediaSessionConnector.MediaButtonEventHandler

  Handles a media button event.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `onMediaButtonEvent​(Player player, Intent mediaButtonEvent)` | See `MediaSessionCompat.Callback.onMediaButtonEvent(Intent)`.

- - ### Method Detail

    - #### onMediaButtonEvent

          boolean onMediaButtonEvent​(Player player,
                                     Intent mediaButtonEvent)

      See `MediaSessionCompat.Callback.onMediaButtonEvent(Intent)`.
      Parameters:
        `player` - The `Player`.
        `mediaButtonEvent` - The `Intent`.
      Returns:
        True if the event was handled, false otherwise.